<?php

namespace FSPoster\App\SocialNetworks\Twitter\App\Factories;

use FSPoster\App\Providers\Core\Settings;
use FSPoster\App\SocialNetworks\Twitter\Api\CookieMethod\WorkerCredentialsDTO;

class WorkerCredentialsFactory
{
    public function make(): WorkerCredentialsDTO
    {
        return new WorkerCredentialsDTO( Settings::get( 'license_code', '', true ), network_site_url() );
    }
}
